<?php
declare(strict_types=1);

namespace WP_AUX\Enum;

use WP_AUX\Interfaces\OptionsEnumInterface;
use WP_AUX\Traits\EnumTraits;

enum PageHeaderTypeEnum: string implements OptionsEnumInterface
{
  use EnumTraits;

  case Hero = 'hero';
  case Standard = 'standard';

  public const SETTING_LABEL = 'AUX page header style';

  public function label(): string
  {
    return match($this) {
      self::Hero => 'Hero',
      self::Standard => 'Standard',
    };
  }
}
